using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using HOL1.Model;
using Microsoft.Practices.Mobile.UI;

namespace HOL1.CustomerListView
{
    // replace the class inherits
    public partial class CustomerListControl : OrientationAwareControl
    {
        public CustomerListControl()
        {
            InitializeComponent();
            InitializeBinding();
        }

        private void InitializeBinding()
        {
            this.txtContact.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.customerBindingSource, "MainContact.Name", true));
            this.txtMobileTel.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.customerBindingSource, "MainContact.MobileTel", true));
            this.txtAddress.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.customerBindingSource, "MainContact.Address", true));
        }


        internal void AddCustomer(Customer customer)
        {
            customerBindingSource.Add(customer);
        }

        
    }
}
